package com.example.demographdb.controller;
import com.example.demographdb.service.Neo4jService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
@RestController
public class Neo4jController {

    private final Neo4jService neo4jService;

    @Autowired
    public Neo4jController(Neo4jService neo4jService) {
        this.neo4jService = neo4jService;
    }

    @GetMapping("/test-connection")
    public String testConnection() {
        boolean isConnected = neo4jService.testConnection();
        return isConnected ? "Connected to Neo4j!" : "Failed to connect to Neo4j.";
    }
}
