package com.example.demographdb.service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.neo4j.driver.Driver;
import org.neo4j.driver.Session;
import org.neo4j.driver.Result;
@Service
public class Neo4jService {
    private final Driver driver;

    @Autowired
    public Neo4jService(Driver driver) {
        this.driver = driver;
    }

    public boolean testConnection() {
        try (Session session = driver.session()) {
            Result result = session.run("RETURN 1");
            return result.hasNext();
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }
}
